# Android NDK project makefile autogenerated by Premake

# Preamble
DEPENDENCY_PATH := $(call my-dir)
LOCAL_PATH := $(abspath $(DEPENDENCY_PATH))
include $(CLEAR_VARS)


# Project configuration
LOCAL_MODULE := GhostCubePlugin
LOCAL_CFLAGS := -std=c++11 -DUSE_GL3_STUB=0 -DUNITY_ANDROID -fvisibility=hidden
LOCAL_CPP_FEATURES := exceptions rtti
LOCAL_STATIC_LIBRARIES += GraphicsEngineOpenGL_static-prebuilt GraphicsEngine-prebuilt HLSL2GLSLConverterLib-prebuilt AndroidPlatform-prebuilt BasicPlatform-prebuilt GraphicsTools-prebuilt Common-prebuilt
LOCAL_LDLIBS := -lGLESv3 -lEGL -llog -landroid

# Include paths
PROJECT_ROOT := $(LOCAL_PATH)/../../..
ENGINE_ROOT := $(PROJECT_ROOT)/../../..
CORE_ROOT := $(ENGINE_ROOT)/diligentcore
LOCAL_C_INCLUDES := $(PROJECT_ROOT)/include $(PROJECT_ROOT)/interface

# Source files
#VisualGDBAndroid: AutoUpdateSourcesInNextLine
LOCAL_SRC_FILES := ../../../src/RenderAPI.cpp ../../../src/RenderAPI_OpenGLCoreES.cpp ../../../src/RenderingPlugin.cpp ../../../src/SamplePlugin.cpp

#VisualGDBAndroid: VSExcludeListLocation
VISUALGDB_VS_EXCLUDED_FILES_Release := ../../../src/DLLMain.cpp ../../../src/GLContextWindows.cpp
VISUALGDB_VS_EXCLUDED_FILES_Debug := 
LOCAL_SRC_FILES := $(filter-out $(VISUALGDB_VS_EXCLUDED_FILES_$(VGDB_VSCONFIG)),$(LOCAL_SRC_FILES))

include $(BUILD_SHARED_LIBRARY)

include $(CLEAR_VARS)
# Declare pre-built Common library
LOCAL_MODULE := Common-prebuilt
LOCAL_EXPORT_C_INCLUDES := $(CORE_ROOT)/Common/include $(CORE_ROOT)/Common/interface
LOCAL_SRC_FILES := $(CORE_ROOT)/Common/build/Win32/obj/local/$(TARGET_ARCH_ABI)/libCommon.a
include $(PREBUILT_STATIC_LIBRARY)


include $(CLEAR_VARS)
# Declare pre-built AndroidPlatform library
LOCAL_MODULE := AndroidPlatform-prebuilt
LOCAL_SRC_FILES := $(CORE_ROOT)/Platforms/Android/build/Windows/obj/local/$(TARGET_ARCH_ABI)/libAndroidPlatform.a
LOCAL_EXPORT_C_INCLUDES := $(CORE_ROOT)/Platforms/interface
include $(PREBUILT_STATIC_LIBRARY)

include $(CLEAR_VARS)
# Declare pre-built BasicPlatform library
LOCAL_MODULE := BasicPlatform-prebuilt
LOCAL_SRC_FILES := $(CORE_ROOT)/Platforms/Basic/build/Win32/obj/local/$(TARGET_ARCH_ABI)/libBasicPlatform.a
include $(PREBUILT_STATIC_LIBRARY)

include $(CLEAR_VARS)
# Declare pre-built GraphicsEngine library
LOCAL_MODULE := GraphicsEngine-prebuilt
LOCAL_SRC_FILES := $(CORE_ROOT)/Graphics/GraphicsEngine/build/Win32/obj/local/$(TARGET_ARCH_ABI)/libGraphicsEngine.a
LOCAL_EXPORT_C_INCLUDES := $(CORE_ROOT)/Graphics/GraphicsEngine/include $(CORE_ROOT)/Graphics/GraphicsEngine/interface
include $(PREBUILT_STATIC_LIBRARY)

include $(CLEAR_VARS)
# Declare pre-built Graphics Tools library
LOCAL_MODULE := GraphicsTools-prebuilt
LOCAL_SRC_FILES := $(CORE_ROOT)/Graphics/GraphicsTools/build/Win32/obj/local/$(TARGET_ARCH_ABI)/libGraphicsTools.a
LOCAL_EXPORT_C_INCLUDES := $(CORE_ROOT)/Graphics/GraphicsTools/include
include $(PREBUILT_STATIC_LIBRARY)

include $(CLEAR_VARS)
# Declare pre-built HLSL2GLSLConverterLib library
LOCAL_MODULE := HLSL2GLSLConverterLib-prebuilt
LOCAL_SRC_FILES := $(CORE_ROOT)/Graphics/HLSL2GLSLConverterLib/build/Win32/obj/local/$(TARGET_ARCH_ABI)/libHLSL2GLSLConverterLib.a
LOCAL_EXPORT_C_INCLUDES := $(CORE_ROOT)/Graphics/HLSL2GLSLConverterLib/include $(CORE_ROOT)/Graphics/HLSL2GLSLConverterLib/interface
include $(PREBUILT_STATIC_LIBRARY)

include $(CLEAR_VARS)
# Declare pre-built GraphicsEngineOpenGL library
LOCAL_MODULE := GraphicsEngineOpenGL_static-prebuilt
LOCAL_SRC_FILES := $(CORE_ROOT)/Graphics/GraphicsEngineOpenGL/build/Win32/obj/local/$(TARGET_ARCH_ABI)/libGraphicsEngineOpenGL.a
LOCAL_EXPORT_C_INCLUDES := $(CORE_ROOT)/Graphics/GraphicsEngineOpenGL/interface
include $(PREBUILT_STATIC_LIBRARY)
